• Advisory ID: DRUPAL-SA-CONTRIB-2012-090
  • Project: filedepot (third-party module)
  • Version: 6.x
  • Date: 2012-May-30
  • Security risk: Critical
  • Exploitable from: remote
  • Vulnerability: Access bypass

Description

The filedepot module is a Document Management module. It fulfills the need for an integrated file management module supporting role and user based security. Documents can be saved outside the Drupal public directory to protect documents for safe access and distribution.

The module has a Session Management Vulnerability that caused Internet Explorer browser users to switch users if they uploaded a file using another browser from the same IP address (Internet Protocol address).

This vulnerability is mitigated by the fact that it only occurred with Internet Explorer and when multiple sessions where running from the same desktop / IP address.

CVE: CVE-2012-2719

Versions affected

  • filedepot 6.x-1.x versions prior to 6.x-1.3.

Drupal core is not affected. If you do not use the contributed filedepot module, there is nothing you need to do.

Solution

Install the latest version:

Also see the filedepot project page.

Reported by

Fixed by

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.